org.apache.storm.sql.parser

## Class ColumnConstraint

- java.lang.Object
- - org.apache.calcite.sql.SqlNode
  - - org.apache.calcite.sql.SqlLiteral
    - - org.apache.storm.sql.parser.ColumnConstraint

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    ColumnConstraint.PrimaryKey

      public class ColumnConstraint
      extends org.apache.calcite.sql.SqlLiteral

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnConstraint.PrimaryKey`

    - ### Nested classes/interfaces inherited from class org.apache.calcite.sql.SqlLiteral

      `org.apache.calcite.sql.SqlLiteral.SqlSymbol`

  - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.sql.SqlLiteral

      `value`

    - ### Fields inherited from class org.apache.calcite.sql.SqlNode

      `EMPTY_ARRAY, pos`

  - ### Method Summary

    - ### Methods inherited from class org.apache.calcite.sql.SqlLiteral

      `accept, bigDecimalValue, booleanValue, clone, createApproxNumeric, createBinaryString, createBinaryString, createBoolean, createCharString, createCharString, createDate, createDate, createExactNumeric, createInterval, createNegative, createNull, createSample, createSqlType, createSymbol, createTime, createTime, createTimestamp, createTimestamp, createUnknown, equals, equalsDeep, getKind, getMonotonicity, getStringValue, getTypeName, getValue, getValueAs, hashCode, intValue, longValue, sampleValue, signum, stringValue, symbolValue_, symbolValue, toValue, unchain, unescapeUnicode, unparse, validate, value, valueMatchesType`

    - ### Methods inherited from class org.apache.calcite.sql.SqlNode

      `clone, cloneArray, equalDeep, equalDeep, equalsDeep, findValidOptions, getParserPosition, isA, toSqlString, toSqlString, toString, validateExpr`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

Copyright © 2021 The Apache Software Foundation. All rights reserved.